import uuid

from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy_serializer import SerializerMixin
from sqlalchemy.orm import mapped_column

from ul_db_utils.modules.postgres_modules.db import db, DbModel


class MediaFileType(DbModel, SerializerMixin):
    """
    Model for media-storage-service
    git: /unic-lab/libraries/common-services/media-storage

    mime_type: str, mime_type of file generated by service using Magic library
    name: str, extension of file, or file purpose
    """

    __tablename__ = 'media_file_type'

    id = mapped_column(UUID(as_uuid=True), primary_key=True, default=uuid.uuid4)

    mime_type = mapped_column(db.String(255), nullable=False)
    name = mapped_column(db.String(255), nullable=False)
